Subject: Re: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: David Kastrup <[email-masked]>
Date: Sun, 01 Mar 2020 18:45:33 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: David Kastrup <[email-masked]>
>> Date: Sun, 01 Mar 2020 17:38:24 +0100
>> Cc: Stefan Kangas <[email-masked]>, [email-masked]
>> 
>> And it is still the same in that respect.
>> 
>> [Original change behind Emacs' back, the trying to edit buffer]
>> smobs.cc changed on disk; really edit the buffer? (y, n, r or C-h) y
>> File on disk now will become a backup file if you save these changes.
>> [So far so good.  Now pressing C-x C-s]
>> Saving file /usr/local/tmp/lilypond/lily/smobs.cc...
>> [That message is ok]
>> smobs.cc changed on disk; really edit the buffer? (y, n, r or C-h) y
>> [That question is ludicrous.  I am saving the file, not editing it.]
>> File on disk now will become a backup file if you save these changes.
>> [What does that even mean?  I _am_ saving this file right now.]
>> Wrote /usr/local/tmp/lilypond/lily/smobs.cc
>
> Please try the latest pretest of Emacs 27, things are more reasonable
> now.

Uh, I compiled today from master.

GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.12,
cairo version 1.16.0) of 2020-03-01

Any changes since then?

-- 
David Kastrup